<?   
include './system/common.php'; 
include './system/functions.php';
include './system/user.php';
    
if(!$user) { 
header('location: /'); 
exit;}

$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default: //Главнвя

$title = 'Общий чат';
include './system/h.php';  
echo '<div class="title">'.$title.'</div>';


  if($user['level'] < 3 AND $user['access'] == 0) {
echo '<div class="empty_block item_center"> Писать в чат можно с <img src="/images/ico/png/up.png" alt="*"> 3 уровня</div>
<div class="line"></div>';
}else{

$text = _string($_POST['text']);
  $to = _string(_num($_GET['to']));

  if($to) {
$_to = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$to.'"');
$_to = mysql_fetch_array($_to);
  
  if(!$_to OR $_to['id'] == $user['id']) {
header('location: /chat/'.($_GET['clan'] == true ? 'clan/':''));
exit;}
  }
  
  
  
  
  if(isset($_REQUEST['text'])){
$antiflood = mysql_fetch_array(mysql_query('SELECT * FROM `chat` WHERE `user` = \''.$user['id'].'\' ORDER BY `time` DESC LIMIT 1'));
  
  if(empty($text) or mb_strlen($text,'UTF-8') < 1){
header("Location: ?");
$_SESSION['mes'] = mes('Пустое сообщение!');
exit;}
  if(time() - $antiflood['time'] < 0){
header("Location: ?");
$_SESSION['mes'] = mes('Нельзя писать так часто!');
exit;}
    
     if($_to) {
$text = str_replace($_to['login'].', ', '', $text);
}
      
$text = eregi_replace( "[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]", "спам", $text);
$arrReplace = array('.ru',
                     '.net',
                     '.com',
                     '.рф',
                     '.tk',
                     '.su',
                     '.us',
                     '.mobi',
                     '.ua',
                     '.ru',
                     'http');

$size = count($arrReplace);
  while($size--){//Сообщаем админу о срабатывании анти спама
if(substr_count($text, $arrReplace[$size])){
mysql_query("INSERT INTO `mail` SET `from`='2',`to`='1',`text`=' Пользователь ".$user['login']." | ID: ".$user['id']." нарушает правила игры! Сообщение: ".$text."',`time`='".time()."'");
break;
 }
}

$text = str_replace($arrReplace, '*', $text);
$typemsg=_string($_POST['typemsg']);
      if($user['access']>='2' && $typemsg=='sys'){//Если сообщение от системы
  
  mysql_query('INSERT INTO `chat` (`user`, `to`, `text`, `time`) VALUES ("2",  "'.$_to['id'].'", "'.$text.'", "'.time().'")');


}else{//Если от простого пользователя
mysql_query('INSERT INTO `chat` (`user`,`to`,`text`,`time`)
														VALUES ("'.$user['id'].'",  "'.$_to['id'].'", "'.$text.'", "'.time().'")');
}
      
header('location: /chat/'.($_GET['clan'] == true ? 'clan/':''));
$_SESSION['mes'] = mes('Сообщение отправленно!');
exit;  
}


  
  
     echo' '.$_SESSION['mes'].'  ';
    $_SESSION['mes']=NULL; //Удаляем сесию
    
  $ban = mysql_query('SELECT * FROM `ban` WHERE `user` = "'.$user['id'].'"');
  $ban = mysql_fetch_array($ban);
  
    if(!$ban){
echo'		
<div class="empty_block" align="center">
<form action="/chat/?to='.$to.'" method="post">
Сообщение:<br/>
<textarea name="text" style="width:70%;">'.($to ? $_to['login'].', ':'').'</textarea><br/>
<input class="button" name="send_message" value="Отправить" type="submit">';

if($user['access']=='3'){
echo'<Select name="typemsg"/>
<option value="adm">'.$user['login'].'</option>
<option value="sys">Система</option>
</Select>';
}
echo'</form>
<small><a href="'.$HOME.'/chat">Обновить</a> | <a href="'.$HOME.'/smile">Смайлы</a> | <a href="'.$HOME.'/bb">BB коды</a></small>
</div>
<div class="line"></div>';
}else{
echo'		
<div class="empty_block item_center">
<font color=khaki><b>На вас наложен бан!</font></b><br/>
Причина: '.$ban['text'].'</br>
Осталось: '._time($ban['time'] - time()).'</br>
Кто: '.nick($ban['who']).'</br>
</div><div class="line"></div>';  
}

}

?>

  

<?

$max = 10;
$count = mysql_result(mysql_query('SELECT COUNT(*) FROM `chat` '),0);
if($count >= 100){ $count=100;}
$pages = ceil($count/$max);
$page = _string(_num($_GET['page']));

if($page > $pages) {$page = $pages;}
if($page < 1) {$page = 1;}
$start = $page * $max - $max;

if($count > 0) {
$q = mysql_query('SELECT * FROM `chat` ORDER BY `id` DESC LIMIT '.$start.', '.$max.'');
  while($row = mysql_fetch_array($q)) {
	  echo'<div class="empty_block">';

  if($row['to'] == $user['id'] && $row['read'] == 0) {
mysql_query('UPDATE `chat` SET `read` = "1" WHERE `id` = "'.$row['id'].'"');  
}

  $sender = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$row['user'].'"');
  $sender = mysql_fetch_array($sender);

echo'<a href="/user/'.$sender['id'].'/"> '.nick($sender['id']).' </a>';//Логин отправителя

  if($sender['id'] != $user['id']) {//Ответить на сообщение
echo'<a href="/chat/?to='.$sender['id'].'">(&#187;)</a>';
}
  if($user['access'] > 0) {//Удаляем сообщение
echo'<a href="/ban/'.$sender['id'].'/">[бан]</a>';
echo'<a href="/chat/delmsg/'.$row['id'].'/">[x]</a>';}
echo'<span style="float: right;"><small>'.vremja($row['time']).'</small></span>';
echo':<br/>';


echo'<font color="'.color($sender[id]).'">';//Цвет сообщений
  

  if($row['to']) {//Если ответ вам
      $__to = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$row['to'].'"');
      $__to = mysql_fetch_array($__to);
if($__to['id'] == $user['id']) {
echo'<font color="#90c090">';
}else{
echo'<font color="'.color($sender[id]).'">';	
}
echo''.$__to['login'].',
</font>';
 
}




echo''.bbcode(smile($row['text'])).'';//Сообщение
echo'</font>';//Закрываем цвет сообщений



  echo'</div>
<div class="line"></div>';
}

}else{ 
echo '<div class="line"></div>
<div class="empty_block item_center"> Сообщений нет </div>
<div class="line"></div>';
}









echo''.pages('/chat/?').'';


?>
<div class='block_link'><a href='/moderators/'> <img src="/images/ico/png/ico-arr_right.png"> Модераторы</a></div>
<div class="line"></div>
<?
break;


case 'delmsg':
$id = abs(intval($_GET['id']));
$gg = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".$id."'"));
if(isset($gg['id']))
{
  if($user['access'] < 1){
     header("Location: /chat");
     $_SESSION['mes'] = mes('Произошла ошибка!');
     exit;   
}
}else{
      header("Location: /chat");
     $_SESSION['mes'] = mes('Произошла ошибка!');
     exit;   
}

 if(isset($_REQUEST['submit'])) { //Если нажимаем Да
mysql_query("DELETE FROM `chat` WHERE `id` = '".$gg[id]."'");
      header('Location: '.$HOME.'/chat');
     $_SESSION['mes'] = mes('Сообщение удалено!');
     exit;   
}
include './system/h.php';
     echo '<div class= "block">'.nick($gg['user']).'  '.vremja($gg['time']).' <br/> '.bb(smile($gg['text'])).'</div>';
     echo '<div class="empty_block item_center"> Вы действительно хотите удалить?
<form action="" name="message" method="POST"> 
<input class="button" type="submit" name="submit" value="Да"/> <br>
<a href="'.$HOME.'/chat"> <input class="button2" value="Нет"/>
</form></div><div class="line"></div>';
	  echo '<div class="block_link"><a href="/chat"><img src="/images/ico/png/back.png" width="18">Вернуться</a></div>
	 <div class="line"></div>';
break;





}
include './system/f.php';

?>